#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Readonly
Summary:	Readonly - facility for creating read-only scalars, arrays, hashes
Summary(pl.UTF-8):	Readonly - udogodnienie do tworzenia zmiennych tylko do odczytu
Name:		perl-Readonly
Version:	2.05
Release:	1%{?tld}
# same as perl 5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SA/SANKO/%{pdir}-%{version}.tar.gz
# Source0-md5:	acae851d7d55c509f5f00a8849597e54
URL:		http://search.cpan.org/dist/Readonly/
BuildRequires:	perl-Module-Build-Tiny >= 0.035
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Harness
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a facility for creating non-modifiable variables. This is
useful for configuration files, headers, etc. It can also be useful as
a development and debugging tool, for catching updates to variables
that should not be changed.

%description -l pl.UTF-8
Readonly umożliwia tworzenie niemodyfikowalnych zmiennych.  Jest to
użyteczne w plikach konfiguracyjnych, nagłówkach, itp.  Może być także
przydatne jako narzędzie do rozwijania programów i wyszukiwania
błędów, wyłapując próby zapisu do zmiennych, które nie powinny być
zmieniane.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Build.PL

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	--destdir=$RPM_BUILD_ROOT \
	--installdirs=vendor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/Readonly.pm
%{_mandir}/man3/Readonly.3pm*
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Readonly.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3f07dc7
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 25a6cd6
- updated to 2.05

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> fc72ca3
- generic URL

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ef5c246
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4583be7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a919e4b
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 1896874
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9b79451
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 3cf6b0c
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 338406f
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 4b48f85
- license fixes, cosmetics

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> 55d6626
- new style bconds

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> 0eab1d7
- updated to 1.03

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> ad1d3b7
- summary/description cosmetics

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 0316e5f
- updated to 1.02

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 19a8146
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b61385d
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 348f3ae
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e2e835a
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> e89d954
- BR: perl-devel; do not BR: perl

